# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: value.proto

import sys
_b=sys.version_info[0]<3 and (lambda x:x) or (lambda x:x.encode('latin1'))
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()


import pymascot.complex_data_types_pb2 as complex__data__types__pb2


DESCRIPTOR = _descriptor.FileDescriptor(
  name='value.proto',
  package='mascot',
  syntax='proto3',
  serialized_options=None,
  serialized_pb=_b('\n\x0bvalue.proto\x12\x06mascot\x1a\x18\x63omplex_data_types.proto\"\xfc\x03\n\x0e\x41ttributeValue\x12\x13\n\tboolValue\x18\x01 \x01(\x08H\x00\x12\x12\n\x08intValue\x18\x02 \x01(\x03H\x00\x12\x15\n\x0b\x64oubleValue\x18\x03 \x01(\x01H\x00\x12\x15\n\x0bstringValue\x18\x04 \x01(\tH\x00\x12,\n\rboolListValue\x18\x05 \x01(\x0b\x32\x13.mascot.ListOfBoolsH\x00\x12*\n\x0cintListValue\x18\x06 \x01(\x0b\x32\x12.mascot.ListOfIntsH\x00\x12\x30\n\x0f\x64oubleListValue\x18\x07 \x01(\x0b\x32\x15.mascot.ListOfDoublesH\x00\x12\x30\n\x0fstringListValue\x18\x08 \x01(\x0b\x32\x15.mascot.ListOfStringsH\x00\x12\x30\n\x0f\x62oolMatrixValue\x18\t \x01(\x0b\x32\x15.mascot.MatrixOfBoolsH\x00\x12.\n\x0eintMatrixValue\x18\n \x01(\x0b\x32\x14.mascot.MatrixOfIntsH\x00\x12\x34\n\x11\x64oubleMatrixValue\x18\x0b \x01(\x0b\x32\x17.mascot.MatrixOfDoublesH\x00\x12\x34\n\x11stringMatrixValue\x18\x0c \x01(\x0b\x32\x17.mascot.MatrixOfStringsH\x00\x42\x07\n\x05valueb\x06proto3')
  ,
  dependencies=[complex__data__types__pb2.DESCRIPTOR,])




_ATTRIBUTEVALUE = _descriptor.Descriptor(
  name='AttributeValue',
  full_name='mascot.AttributeValue',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='boolValue', full_name='mascot.AttributeValue.boolValue', index=0,
      number=1, type=8, cpp_type=7, label=1,
      has_default_value=False, default_value=False,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='intValue', full_name='mascot.AttributeValue.intValue', index=1,
      number=2, type=3, cpp_type=2, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='doubleValue', full_name='mascot.AttributeValue.doubleValue', index=2,
      number=3, type=1, cpp_type=5, label=1,
      has_default_value=False, default_value=float(0),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='stringValue', full_name='mascot.AttributeValue.stringValue', index=3,
      number=4, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='boolListValue', full_name='mascot.AttributeValue.boolListValue', index=4,
      number=5, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='intListValue', full_name='mascot.AttributeValue.intListValue', index=5,
      number=6, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='doubleListValue', full_name='mascot.AttributeValue.doubleListValue', index=6,
      number=7, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='stringListValue', full_name='mascot.AttributeValue.stringListValue', index=7,
      number=8, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='boolMatrixValue', full_name='mascot.AttributeValue.boolMatrixValue', index=8,
      number=9, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='intMatrixValue', full_name='mascot.AttributeValue.intMatrixValue', index=9,
      number=10, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='doubleMatrixValue', full_name='mascot.AttributeValue.doubleMatrixValue', index=10,
      number=11, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='stringMatrixValue', full_name='mascot.AttributeValue.stringMatrixValue', index=11,
      number=12, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
    _descriptor.OneofDescriptor(
      name='value', full_name='mascot.AttributeValue.value',
      index=0, containing_type=None, fields=[]),
  ],
  serialized_start=50,
  serialized_end=558,
)

_ATTRIBUTEVALUE.fields_by_name['boolListValue'].message_type = complex__data__types__pb2._LISTOFBOOLS
_ATTRIBUTEVALUE.fields_by_name['intListValue'].message_type = complex__data__types__pb2._LISTOFINTS
_ATTRIBUTEVALUE.fields_by_name['doubleListValue'].message_type = complex__data__types__pb2._LISTOFDOUBLES
_ATTRIBUTEVALUE.fields_by_name['stringListValue'].message_type = complex__data__types__pb2._LISTOFSTRINGS
_ATTRIBUTEVALUE.fields_by_name['boolMatrixValue'].message_type = complex__data__types__pb2._MATRIXOFBOOLS
_ATTRIBUTEVALUE.fields_by_name['intMatrixValue'].message_type = complex__data__types__pb2._MATRIXOFINTS
_ATTRIBUTEVALUE.fields_by_name['doubleMatrixValue'].message_type = complex__data__types__pb2._MATRIXOFDOUBLES
_ATTRIBUTEVALUE.fields_by_name['stringMatrixValue'].message_type = complex__data__types__pb2._MATRIXOFSTRINGS
_ATTRIBUTEVALUE.oneofs_by_name['value'].fields.append(
  _ATTRIBUTEVALUE.fields_by_name['boolValue'])
_ATTRIBUTEVALUE.fields_by_name['boolValue'].containing_oneof = _ATTRIBUTEVALUE.oneofs_by_name['value']
_ATTRIBUTEVALUE.oneofs_by_name['value'].fields.append(
  _ATTRIBUTEVALUE.fields_by_name['intValue'])
_ATTRIBUTEVALUE.fields_by_name['intValue'].containing_oneof = _ATTRIBUTEVALUE.oneofs_by_name['value']
_ATTRIBUTEVALUE.oneofs_by_name['value'].fields.append(
  _ATTRIBUTEVALUE.fields_by_name['doubleValue'])
_ATTRIBUTEVALUE.fields_by_name['doubleValue'].containing_oneof = _ATTRIBUTEVALUE.oneofs_by_name['value']
_ATTRIBUTEVALUE.oneofs_by_name['value'].fields.append(
  _ATTRIBUTEVALUE.fields_by_name['stringValue'])
_ATTRIBUTEVALUE.fields_by_name['stringValue'].containing_oneof = _ATTRIBUTEVALUE.oneofs_by_name['value']
_ATTRIBUTEVALUE.oneofs_by_name['value'].fields.append(
  _ATTRIBUTEVALUE.fields_by_name['boolListValue'])
_ATTRIBUTEVALUE.fields_by_name['boolListValue'].containing_oneof = _ATTRIBUTEVALUE.oneofs_by_name['value']
_ATTRIBUTEVALUE.oneofs_by_name['value'].fields.append(
  _ATTRIBUTEVALUE.fields_by_name['intListValue'])
_ATTRIBUTEVALUE.fields_by_name['intListValue'].containing_oneof = _ATTRIBUTEVALUE.oneofs_by_name['value']
_ATTRIBUTEVALUE.oneofs_by_name['value'].fields.append(
  _ATTRIBUTEVALUE.fields_by_name['doubleListValue'])
_ATTRIBUTEVALUE.fields_by_name['doubleListValue'].containing_oneof = _ATTRIBUTEVALUE.oneofs_by_name['value']
_ATTRIBUTEVALUE.oneofs_by_name['value'].fields.append(
  _ATTRIBUTEVALUE.fields_by_name['stringListValue'])
_ATTRIBUTEVALUE.fields_by_name['stringListValue'].containing_oneof = _ATTRIBUTEVALUE.oneofs_by_name['value']
_ATTRIBUTEVALUE.oneofs_by_name['value'].fields.append(
  _ATTRIBUTEVALUE.fields_by_name['boolMatrixValue'])
_ATTRIBUTEVALUE.fields_by_name['boolMatrixValue'].containing_oneof = _ATTRIBUTEVALUE.oneofs_by_name['value']
_ATTRIBUTEVALUE.oneofs_by_name['value'].fields.append(
  _ATTRIBUTEVALUE.fields_by_name['intMatrixValue'])
_ATTRIBUTEVALUE.fields_by_name['intMatrixValue'].containing_oneof = _ATTRIBUTEVALUE.oneofs_by_name['value']
_ATTRIBUTEVALUE.oneofs_by_name['value'].fields.append(
  _ATTRIBUTEVALUE.fields_by_name['doubleMatrixValue'])
_ATTRIBUTEVALUE.fields_by_name['doubleMatrixValue'].containing_oneof = _ATTRIBUTEVALUE.oneofs_by_name['value']
_ATTRIBUTEVALUE.oneofs_by_name['value'].fields.append(
  _ATTRIBUTEVALUE.fields_by_name['stringMatrixValue'])
_ATTRIBUTEVALUE.fields_by_name['stringMatrixValue'].containing_oneof = _ATTRIBUTEVALUE.oneofs_by_name['value']
DESCRIPTOR.message_types_by_name['AttributeValue'] = _ATTRIBUTEVALUE
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

AttributeValue = _reflection.GeneratedProtocolMessageType('AttributeValue', (_message.Message,), dict(
  DESCRIPTOR = _ATTRIBUTEVALUE,
  __module__ = 'value_pb2'
  # @@protoc_insertion_point(class_scope:mascot.AttributeValue)
  ))
_sym_db.RegisterMessage(AttributeValue)


# @@protoc_insertion_point(module_scope)
